Skip to main content
GET
/
directory
/
attributes
List of Attributes
curl --request GET \
  --url https://wks-a1b2c3d4.provisionr.io/api/v1/directory/attributes \
  --header 'Authorization: Bearer <token>'
{}

Documentation Index

Fetch the complete documentation index at: https://docs.provisionr.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

include
string

Available includes are attribute-conditions-count, attribute-predecessors-count, manifest-users-count, qualified-users-count, staged-users-count, policy-rules-count, attribute-predecessors, attribute-predecessors-count, attribute-predecessors-exists, policy-rules, policy-rules-count, policy-rules-exists. You can include multiple options by separating them with a comma.

filter[directory_attribute_id_successor]
string
filter[type]
string

Search custom organization business logic metadata key/value pairs for any partial string.

filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[expires_before]
string
filter[expires_after]
string
filter[expired_before]
string
filter[expired_after]
string
filter[deactivated_before]
string
filter[deactivated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

filter
string
page
string
sort
string

Filter by a partial match of the attribute ID

filter[workspace_integration_id]
string

Filter by an exact match of the workspace integration ID

filter[directory_dimension_id]
string

Filter by an exact match of the directory dimension ID

filter[profile_value]
string

Filter by an exact match of the profile key field value

Filter by a partial match of the profile key field value

filter[name]
string

Filter by an exact match of the name field

Filter by a partial match of the name field

filter[handle]
string

Filter by an exact match of the handle field

Filter by a partial match of the handle field

filter[blueprint_signature]
string

Filter by an exact match of the blueprint signature field

Filter by a partial match of the blueprint signature field

filter[conditions_enabled]
string

Filter by whether this attribute can be used for conditions

filter[state]
string

Filter by an exact match of the state field

Response

The response is of type object.